org.apache.myfaces.trinidad.component.core.input

## Class CoreSelectOrderShuttle

- java.lang.Object
- - javax.faces.component.UIComponent
  - - org.apache.myfaces.trinidad.component.UIXComponent
    - - org.apache.myfaces.trinidad.component.UIXComponentBase
      - - org.apache.myfaces.trinidad.component.UIXValue
        - - org.apache.myfaces.trinidad.component.UIXEditableValue
          - - org.apache.myfaces.trinidad.component.UIXSelectMany
            - - org.apache.myfaces.trinidad.component.UIXSelectOrder
              - - org.apache.myfaces.trinidad.component.core.input.CoreSelectOrderShuttle

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class CoreSelectOrderShuttle
      extends UIXSelectOrder
      implements javax.faces.component.behavior.ClientBehaviorHolder

  The selectOrderShuttle component provides a mechanism for selecting multiple values from a list of values by allowing the user to move items between two lists, and reordering that list of values. It includes all the functionality of selectManyShuttle, and has an equivalent API. The only functional difference is that selectOrderShuttle will present the user with the ability to reorder the list of selected values, and will deliver ValueChangeEvents when the order changes. (selectMany components do not consider changes in order relevant to the value of that component.) See the documentation for selectManyShuttle for further information on using the shuttle.

  #### Events:

  Type | Phases | Description
  --- | --- | ---
  `javax.faces.event.ValueChangeEvent` | Process Validations Apply Request Values | The valueChange event is delivered when the value attribute is changed.
  `org.apache.myfaces.trinidad.event.AttributeChangeEvent` | Invoke Application Apply Request Values | Event delivered to describe an attribute change. Attribute change events are not delivered for any programmatic change to a property. They are only delivered when a renderer changes a property without the application's specific request. An example of an attribute change event might include the width of a column that supported client-side resizing.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `UIXComponentBase.ComponentSystemEventListenerWrapper`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static PropertyKey` | `DISABLED_KEY`
    `static String` | `FILTER_FACET`
    `static PropertyKey` | `INLINE_STYLE_KEY`
    `static PropertyKey` | `LABEL_KEY`
    `static PropertyKey` | `LEADING_DESC_SHOWN_KEY`
    `static String` | `LEADING_FOOTER_FACET`
    `static PropertyKey` | `LEADING_HEADER_KEY`
    `static PropertyKey` | `ONBLUR_KEY`
    `static PropertyKey` | `ONCHANGE_KEY`
    `static PropertyKey` | `ONCLICK_KEY`
    `static PropertyKey` | `ONDBLCLICK_KEY`
    `static PropertyKey` | `ONFOCUS_KEY`
    `static PropertyKey` | `ONKEYDOWN_KEY`
    `static PropertyKey` | `ONKEYPRESS_KEY`
    `static PropertyKey` | `ONKEYUP_KEY`
    `static PropertyKey` | `ONMOUSEDOWN_KEY`
    `static PropertyKey` | `ONMOUSEMOVE_KEY`
    `static PropertyKey` | `ONMOUSEOUT_KEY`
    `static PropertyKey` | `ONMOUSEOVER_KEY`
    `static PropertyKey` | `ONMOUSEUP_KEY`
    `static PropertyKey` | `PARTIAL_TRIGGERS_KEY`
    `static PropertyKey` | `READ_ONLY_KEY`
    `static PropertyKey` | `REORDER_ONLY_KEY`
    `static PropertyKey` | `SHORT_DESC_KEY`
    `static PropertyKey` | `SIZE_KEY`
    `static PropertyKey` | `STYLE_CLASS_KEY`
    `static PropertyKey` | `TRAILING_DESC_SHOWN_KEY`
    `static String` | `TRAILING_FOOTER_FACET`
    `static PropertyKey` | `TRAILING_HEADER_KEY`
    `static FacesBean.Type` | `TYPE`
    `static PropertyKey` | `VALUE_PASS_THRU_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXSelectMany

      `REQUIRED_MESSAGE_ID, UNSUPPORTED_MODEL_TYPE_MESSAGE_ID`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `CONVERSION_MESSAGE_ID, IMMEDIATE_KEY, LOCAL_VALUE_SET_KEY, REQUIRED_KEY, REQUIRED_MESSAGE_DETAIL_KEY, SUBMITTED_VALUE_KEY, TRINIDAD_BEAN_VALIDATION_AVAILABLE, TRINIDAD_EMPTY_VALUES_AS_NULL_PARAM_NAME, VALID_KEY, VALIDATE_EMPTY_FIELDS_PARAM_NAME, VALIDATOR_KEY, VALIDATORS_KEY, VALUE_CHANGE_LISTENER_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `CONVERTER_KEY, VALUE_KEY`

    - ### Fields inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `BINDING_KEY, ID_KEY, RENDERED_KEY, RENDERER_TYPE_KEY, TRANSIENT_KEY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CoreSelectOrderShuttle()` Construct an instance of the CoreSelectOrderShuttle.
    `protected` | `CoreSelectOrderShuttle(String rendererType)` Construct an instance of the CoreSelectOrderShuttle.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientBehavior(String eventName, javax.faces.component.behavior.ClientBehavior behavior)` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `protected FacesBean.Type` | `getBeanType()`
    `Map<String,List<javax.faces.component.behavior.ClientBehavior>>` | `getClientBehaviors()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `String` | `getDefaultEventName()` Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `javax.faces.component.UIComponent` | `getFilter()` the filter above the leading list.
    `String` | `getInlineStyle()` Gets the CSS styles to use for this component.
    `String` | `getLabel()` Gets the label for the shuttle that is used to identify the component only when displaying error messages.
    `javax.faces.component.UIComponent` | `getLeadingFooter()` the footer of buttons/images under the leading list.
    `String` | `getLeadingHeader()` Gets the header of the leading list of the shuttle.
    `String` | `getOnblur()` Gets the event handler for the component losing the focus.
    `String` | `getOnchange()` Gets event handler for when the value is changed.
    `String` | `getOnclick()` Gets an onclick Javascript handler.
    `String` | `getOndblclick()` Gets an ondblclick Javascript handler.
    `String` | `getOnfocus()` Gets the event handler for the component gaining the focus.
    `String` | `getOnkeydown()` Gets an onkeydown Javascript handler.
    `String` | `getOnkeypress()` Gets an onkeypress Javascript handler.
    `String` | `getOnkeyup()` Gets an onkeyup Javascript handler.
    `String` | `getOnmousedown()` Gets an onmousedown Javascript handler.
    `String` | `getOnmousemove()` Gets an onmousemove Javascript handler.
    `String` | `getOnmouseout()` Gets an onmouseout Javascript handler.
    `String` | `getOnmouseover()` Gets an onmouseover Javascript handler.
    `String` | `getOnmouseup()` Gets an onmouseup Javascript handler.
    `String[]` | `getPartialTriggers()` Gets the IDs of the components that should trigger a partial update.
    `String` | `getShortDesc()` Gets The short description of the component.
    `int` | `getSize()` Gets the display size(number of items) of the lists.
    `String` | `getStyleClass()` Gets a CSS style class to use for this component.
    `javax.faces.component.UIComponent` | `getTrailingFooter()` the footer of buttons/images under the trailing list.
    `String` | `getTrailingHeader()` Gets the header of the trailing list of the shuttle.
    `boolean` | `isDisabled()` Gets whether the element is disabled.
    `boolean` | `isLeadingDescShown()` Gets whether or not the leading list has an area to display descriptions.
    `boolean` | `isReadOnly()` Gets whether the element is read-only.
    `boolean` | `isReorderOnly()` Gets whether the shuttle is in "reorder only" mode, where the user can reorder the list of values, but cannot add or remove them.
    `boolean` | `isTrailingDescShown()` Gets whether or not the trailing list has an area to display descriptions.
    `boolean` | `isValuePassThru()` Gets whether or not the values are passed through to the client.
    `void` | `setDisabled(boolean disabled)` Sets whether the element is disabled.
    `void` | `setFilter(javax.faces.component.UIComponent filterFacet)` the filter above the leading list.
    `void` | `setInlineStyle(String inlineStyle)` Sets the CSS styles to use for this component.
    `void` | `setLabel(String label)` Sets the label for the shuttle that is used to identify the component only when displaying error messages.
    `void` | `setLeadingDescShown(boolean leadingDescShown)` Sets whether or not the leading list has an area to display descriptions.
    `void` | `setLeadingFooter(javax.faces.component.UIComponent leadingFooterFacet)` the footer of buttons/images under the leading list.
    `void` | `setLeadingHeader(String leadingHeader)` Sets the header of the leading list of the shuttle.
    `void` | `setOnblur(String onblur)` Sets the event handler for the component losing the focus.
    `void` | `setOnchange(String onchange)` Sets event handler for when the value is changed.
    `void` | `setOnclick(String onclick)` Sets an onclick Javascript handler.
    `void` | `setOndblclick(String ondblclick)` Sets an ondblclick Javascript handler.
    `void` | `setOnfocus(String onfocus)` Sets the event handler for the component gaining the focus.
    `void` | `setOnkeydown(String onkeydown)` Sets an onkeydown Javascript handler.
    `void` | `setOnkeypress(String onkeypress)` Sets an onkeypress Javascript handler.
    `void` | `setOnkeyup(String onkeyup)` Sets an onkeyup Javascript handler.
    `void` | `setOnmousedown(String onmousedown)` Sets an onmousedown Javascript handler.
    `void` | `setOnmousemove(String onmousemove)` Sets an onmousemove Javascript handler.
    `void` | `setOnmouseout(String onmouseout)` Sets an onmouseout Javascript handler.
    `void` | `setOnmouseover(String onmouseover)` Sets an onmouseover Javascript handler.
    `void` | `setOnmouseup(String onmouseup)` Sets an onmouseup Javascript handler.
    `void` | `setPartialTriggers(String[] partialTriggers)` Sets the IDs of the components that should trigger a partial update.
    `void` | `setReadOnly(boolean readOnly)` Sets whether the element is read-only.
    `void` | `setReorderOnly(boolean reorderOnly)` Sets whether the shuttle is in "reorder only" mode, where the user can reorder the list of values, but cannot add or remove them.
    `void` | `setShortDesc(String shortDesc)` Sets The short description of the component.
    `void` | `setSize(int size)` Sets the display size(number of items) of the lists.
    `void` | `setStyleClass(String styleClass)` Sets a CSS style class to use for this component.
    `void` | `setTrailingDescShown(boolean trailingDescShown)` Sets whether or not the trailing list has an area to display descriptions.
    `void` | `setTrailingFooter(javax.faces.component.UIComponent trailingFooterFacet)` the footer of buttons/images under the trailing list.
    `void` | `setTrailingHeader(String trailingHeader)` Sets the header of the trailing list of the shuttle.
    `void` | `setValuePassThru(boolean valuePassThru)` Sets whether or not the values are passed through to the client.

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXSelectOrder

      `compareValues`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXSelectMany

      `getRequiredMessageKey, isEmpty, validateValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXEditableValue

      `addValidator, addValueChangeListener, addValueUpdatedListener, broadcast, getConvertedValue, getRequiredMessageDetail, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, removeValueUpdatedListener, resetValue, setImmediate, setLocalValueSet, setRequired, setRequiredMessageDetail, setSubmittedValue, setValid, setValidator, setValueChangeListener, shouldInterpretEmptyStringSubmittedValuesAsNull, shouldValidateEmptyFields, updateModel, validate`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXValue

      `getConverter, getLocalValue, getValue, setConverter, setValue`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponentBase

      `adaptMethodBinding, addAttributeChange, addAttributeChangeListener, addComponentChange, addComponentChange, addComponentChangeFilter, addFacesListener, broadcastToMethodBinding, broadcastToMethodExpression, clearCachedClientIds, clearInitialState, createFacesBean, decode, decodeChildren, decodeChildrenImpl, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributeChangeListener, getAttributeChangeListeners, getAttributes, getBooleanProperty, getChildCount, getChildren, getClientId, getComponentChangeFilters, getContainerClientId, getFacesBean, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacetNames, getFacets, getFacetsAndChildren, getId, getIntProperty, getLifecycleRenderer, getListenersForEventClass, getParent, getPassThroughAttributes, getProperty, getPropertyKey, getRenderedFacetsAndChildren, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, initialStateMarked, invokeOnChildrenComponents, invokeOnComponent, invokeOnNamingContainerComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, queueEvent, removeAttributeChangeListener, removeComponentChangeFilter, removeFacesListener, restoreState, satisfiesPartialTrigger, saveState, setAttributeChangeListener, setAttributeChangeListener, setBooleanProperty, setId, setIntProperty, setParent, setProperty, setRendered, setRendererType, setTransient, setupFlattenedChildrenContext, setupFlattenedContext, setValueBinding, setValueExpression, subscribeToEvent, tearDownFlattenedChildrenContext, tearDownFlattenedContext, toString, unsubscribeFromEvent, updateChildren, updateChildrenImpl, validateChildren, validateChildrenImpl`

    - ### Methods inherited from class org.apache.myfaces.trinidad.component.UIXComponent

      `addPartialTarget, broadcastInContext, clearCachedClientIds, defaultGetRenderedFacetsAndChildren, encodeFlattenedChild, encodeFlattenedChildren, getLogicalParent, getLogicalParent, getStateHelper, getStateHelper, isVisitable, partialEncodeVisit, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, processFlattenedChildren, setPartialTarget, setupChildrenEncodingContext, setupChildrenVisitingContext, setupEncodingContext, setUpEncodingContext, setupVisitingContext, tearDownChildrenEncodingContext, tearDownChildrenVisitingContext, tearDownEncodingContext, tearDownVisitingContext, visitAllChildren, visitChildren, visitChildren, visitTree, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getTransientStateHelper, getTransientStateHelper, isCompositeComponent, isInView, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter, setValue`

- - ### Field Detail

    - #### TYPE

          public static final FacesBean.Type TYPE

    - #### REORDER_ONLY_KEY

          public static final PropertyKey REORDER_ONLY_KEY

    - #### VALUE_PASS_THRU_KEY

          public static final PropertyKey VALUE_PASS_THRU_KEY

    - #### READ_ONLY_KEY

          public static final PropertyKey READ_ONLY_KEY

    - #### DISABLED_KEY

          public static final PropertyKey DISABLED_KEY

    - #### ONCHANGE_KEY

          public static final PropertyKey ONCHANGE_KEY

    - #### INLINE_STYLE_KEY

          public static final PropertyKey INLINE_STYLE_KEY

    - #### STYLE_CLASS_KEY

          public static final PropertyKey STYLE_CLASS_KEY

    - #### SHORT_DESC_KEY

          public static final PropertyKey SHORT_DESC_KEY

    - #### PARTIAL_TRIGGERS_KEY

          public static final PropertyKey PARTIAL_TRIGGERS_KEY

    - #### ONCLICK_KEY

          public static final PropertyKey ONCLICK_KEY

    - #### ONDBLCLICK_KEY

          public static final PropertyKey ONDBLCLICK_KEY

    - #### ONMOUSEDOWN_KEY

          public static final PropertyKey ONMOUSEDOWN_KEY

    - #### ONMOUSEUP_KEY

          public static final PropertyKey ONMOUSEUP_KEY

    - #### ONMOUSEOVER_KEY

          public static final PropertyKey ONMOUSEOVER_KEY

    - #### ONMOUSEMOVE_KEY

          public static final PropertyKey ONMOUSEMOVE_KEY

    - #### ONMOUSEOUT_KEY

          public static final PropertyKey ONMOUSEOUT_KEY

    - #### ONKEYPRESS_KEY

          public static final PropertyKey ONKEYPRESS_KEY

    - #### ONKEYDOWN_KEY

          public static final PropertyKey ONKEYDOWN_KEY

    - #### ONKEYUP_KEY

          public static final PropertyKey ONKEYUP_KEY

    - #### ONBLUR_KEY

          public static final PropertyKey ONBLUR_KEY

    - #### ONFOCUS_KEY

          public static final PropertyKey ONFOCUS_KEY

    - #### SIZE_KEY

          public static final PropertyKey SIZE_KEY

    - #### LEADING_HEADER_KEY

          public static final PropertyKey LEADING_HEADER_KEY

    - #### TRAILING_HEADER_KEY

          public static final PropertyKey TRAILING_HEADER_KEY

    - #### LEADING_DESC_SHOWN_KEY

          public static final PropertyKey LEADING_DESC_SHOWN_KEY

    - #### TRAILING_DESC_SHOWN_KEY

          public static final PropertyKey TRAILING_DESC_SHOWN_KEY

    - #### LABEL_KEY

          public static final PropertyKey LABEL_KEY

    - #### FILTER_FACET

          public static final String FILTER_FACET

      See Also:
        Constant Field Values

    - #### LEADING_FOOTER_FACET

          public static final String LEADING_FOOTER_FACET

      See Also:
        Constant Field Values

    - #### TRAILING_FOOTER_FACET

          public static final String TRAILING_FOOTER_FACET

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CoreSelectOrderShuttle

          public CoreSelectOrderShuttle()

      Construct an instance of the CoreSelectOrderShuttle.

    - #### CoreSelectOrderShuttle

          protected CoreSelectOrderShuttle(String rendererType)

      Construct an instance of the CoreSelectOrderShuttle.

  - ### Method Detail

    - #### getFilter

          public final javax.faces.component.UIComponent getFilter()

      the filter above the leading list.

    - #### setFilter

          public final void setFilter(javax.faces.component.UIComponent filterFacet)

      the filter above the leading list.

    - #### getLeadingFooter

          public final javax.faces.component.UIComponent getLeadingFooter()

      the footer of buttons/images under the leading list.

    - #### setLeadingFooter

          public final void setLeadingFooter(javax.faces.component.UIComponent leadingFooterFacet)

      the footer of buttons/images under the leading list.

    - #### getTrailingFooter

          public final javax.faces.component.UIComponent getTrailingFooter()

      the footer of buttons/images under the trailing list.

    - #### setTrailingFooter

          public final void setTrailingFooter(javax.faces.component.UIComponent trailingFooterFacet)

      the footer of buttons/images under the trailing list.

    - #### isReorderOnly

          public final boolean isReorderOnly()

      Gets whether the shuttle is in "reorder only" mode, where the user can reorder the list of values, but cannot add or remove them.
      Returns:
        the new reorderOnly value

    - #### setReorderOnly

          public final void setReorderOnly(boolean reorderOnly)

      Sets whether the shuttle is in "reorder only" mode, where the user can reorder the list of values, but cannot add or remove them.
      Parameters:
        `reorderOnly` - the new reorderOnly value

    - #### isValuePassThru

          public final boolean isValuePassThru()

      Gets whether or not the values are passed through to the client. When valuePassThru is false the value and the options' values are converted to indexes before being sent to the client. Therefore, when valuePassThru is false, there is no need to write your own converter when you are using custom Objects as your values and/or options. If you need to know the actual values on the client-side, then you can set valuePassThru to true. This will pass the values through to the client, using your custom converter if it is available; a custom converter is needed if you are using custom objects. The default is false.
      Returns:
        the new valuePassThru value

    - #### setValuePassThru

          public final void setValuePassThru(boolean valuePassThru)

      Sets whether or not the values are passed through to the client. When valuePassThru is false the value and the options' values are converted to indexes before being sent to the client. Therefore, when valuePassThru is false, there is no need to write your own converter when you are using custom Objects as your values and/or options. If you need to know the actual values on the client-side, then you can set valuePassThru to true. This will pass the values through to the client, using your custom converter if it is available; a custom converter is needed if you are using custom objects. The default is false.
      Parameters:
        `valuePassThru` - the new valuePassThru value

    - #### isReadOnly

          public final boolean isReadOnly()

      Gets whether the element is read-only.
      Returns:
        the new readOnly value

    - #### setReadOnly

          public final void setReadOnly(boolean readOnly)

      Sets whether the element is read-only.
      Parameters:
        `readOnly` - the new readOnly value

    - #### isDisabled

          public final boolean isDisabled()

      Gets whether the element is disabled.
      Returns:
        the new disabled value

    - #### setDisabled

          public final void setDisabled(boolean disabled)

      Sets whether the element is disabled.
      Parameters:
        `disabled` - the new disabled value

    - #### getOnchange

          public final String getOnchange()

      Gets event handler for when the value is changed.
      Returns:
        the new onchange value

    - #### setOnchange

          public final void setOnchange(String onchange)

      Sets event handler for when the value is changed.
      Parameters:
        `onchange` - the new onchange value

    - #### getInlineStyle

          public final String getInlineStyle()

      Gets the CSS styles to use for this component.
      Returns:
        the new inlineStyle value

    - #### setInlineStyle

          public final void setInlineStyle(String inlineStyle)

      Sets the CSS styles to use for this component.
      Parameters:
        `inlineStyle` - the new inlineStyle value

    - #### getStyleClass

          public final String getStyleClass()

      Gets a CSS style class to use for this component.
      Returns:
        the new styleClass value

    - #### setStyleClass

          public final void setStyleClass(String styleClass)

      Sets a CSS style class to use for this component.
      Parameters:
        `styleClass` - the new styleClass value

    - #### getShortDesc

          public final String getShortDesc()

      Gets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Returns:
        the new shortDesc value

    - #### setShortDesc

          public final void setShortDesc(String shortDesc)

      Sets The short description of the component. This text is commonly used by user agents to display tooltip help text.
      Parameters:
        `shortDesc` - the new shortDesc value

    - #### getPartialTriggers

          public final String[] getPartialTriggers()

      Gets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Returns:
        the new partialTriggers value

    - #### setPartialTriggers

          public final void setPartialTriggers(String[] partialTriggers)

      Sets the IDs of the components that should trigger a partial update.

      This component will listen on the trigger components. If one of the trigger components receives an event that will cause it to update in some way, this component will request to be updated too.

      Separate multiple triggers with a space. e.g., partialTriggers="cmp1 cmp2"

      Identifiers must account for NamingContainers. You can use a single colon to start the search from the root, or use multiple colons to move up through the NamingContainer. For example, "::" will pop out of this component's naming container (it pops out of itself if it is a naming container), ":::" will pop out of two naming containers, etc. The search for the partialTrigger begins from there. e.g., partialTriggers=":::commandButton1" the search begins for the component with id = commandButton1 after popping out of two naming containers relative to this component. To go into naming containers, you separate the naming containers with ':', e.g.,partialTriggers= "nc1:nc2:nc3:componentId".

      Parameters:
        `partialTriggers` - the new partialTriggers value

    - #### getOnclick

          public final String getOnclick()

      Gets an onclick Javascript handler.
      Returns:
        the new onclick value

    - #### setOnclick

          public final void setOnclick(String onclick)

      Sets an onclick Javascript handler.
      Parameters:
        `onclick` - the new onclick value

    - #### getOndblclick

          public final String getOndblclick()

      Gets an ondblclick Javascript handler.
      Returns:
        the new ondblclick value

    - #### setOndblclick

          public final void setOndblclick(String ondblclick)

      Sets an ondblclick Javascript handler.
      Parameters:
        `ondblclick` - the new ondblclick value

    - #### getOnmousedown

          public final String getOnmousedown()

      Gets an onmousedown Javascript handler.
      Returns:
        the new onmousedown value

    - #### setOnmousedown

          public final void setOnmousedown(String onmousedown)

      Sets an onmousedown Javascript handler.
      Parameters:
        `onmousedown` - the new onmousedown value

    - #### getOnmouseup

          public final String getOnmouseup()

      Gets an onmouseup Javascript handler.
      Returns:
        the new onmouseup value

    - #### setOnmouseup

          public final void setOnmouseup(String onmouseup)

      Sets an onmouseup Javascript handler.
      Parameters:
        `onmouseup` - the new onmouseup value

    - #### getOnmouseover

          public final String getOnmouseover()

      Gets an onmouseover Javascript handler.
      Returns:
        the new onmouseover value

    - #### setOnmouseover

          public final void setOnmouseover(String onmouseover)

      Sets an onmouseover Javascript handler.
      Parameters:
        `onmouseover` - the new onmouseover value

    - #### getOnmousemove

          public final String getOnmousemove()

      Gets an onmousemove Javascript handler.
      Returns:
        the new onmousemove value

    - #### setOnmousemove

          public final void setOnmousemove(String onmousemove)

      Sets an onmousemove Javascript handler.
      Parameters:
        `onmousemove` - the new onmousemove value

    - #### getOnmouseout

          public final String getOnmouseout()

      Gets an onmouseout Javascript handler.
      Returns:
        the new onmouseout value

    - #### setOnmouseout

          public final void setOnmouseout(String onmouseout)

      Sets an onmouseout Javascript handler.
      Parameters:
        `onmouseout` - the new onmouseout value

    - #### getOnkeypress

          public final String getOnkeypress()

      Gets an onkeypress Javascript handler.
      Returns:
        the new onkeypress value

    - #### setOnkeypress

          public final void setOnkeypress(String onkeypress)

      Sets an onkeypress Javascript handler.
      Parameters:
        `onkeypress` - the new onkeypress value

    - #### getOnkeydown

          public final String getOnkeydown()

      Gets an onkeydown Javascript handler.
      Returns:
        the new onkeydown value

    - #### setOnkeydown

          public final void setOnkeydown(String onkeydown)

      Sets an onkeydown Javascript handler.
      Parameters:
        `onkeydown` - the new onkeydown value

    - #### getOnkeyup

          public final String getOnkeyup()

      Gets an onkeyup Javascript handler.
      Returns:
        the new onkeyup value

    - #### setOnkeyup

          public final void setOnkeyup(String onkeyup)

      Sets an onkeyup Javascript handler.
      Parameters:
        `onkeyup` - the new onkeyup value

    - #### getOnblur

          public final String getOnblur()

      Gets the event handler for the component losing the focus.
      Returns:
        the new onblur value

    - #### setOnblur

          public final void setOnblur(String onblur)

      Sets the event handler for the component losing the focus.
      Parameters:
        `onblur` - the new onblur value

    - #### getOnfocus

          public final String getOnfocus()

      Gets the event handler for the component gaining the focus.
      Returns:
        the new onfocus value

    - #### setOnfocus

          public final void setOnfocus(String onfocus)

      Sets the event handler for the component gaining the focus.
      Parameters:
        `onfocus` - the new onfocus value

    - #### getSize

          public final int getSize()

      Gets the display size(number of items) of the lists. The size specified must be between 10 and 20 items. If the attribute is not set or has a value less than 10, the size would have a default or minimum value of 10. If the attribute value specified is more than 20 items, the size would have the maximum value of 20.
      Returns:
        the new size value

    - #### setSize

          public final void setSize(int size)

      Sets the display size(number of items) of the lists. The size specified must be between 10 and 20 items. If the attribute is not set or has a value less than 10, the size would have a default or minimum value of 10. If the attribute value specified is more than 20 items, the size would have the maximum value of 20.
      Parameters:
        `size` - the new size value

    - #### getLeadingHeader

          public final String getLeadingHeader()

      Gets the header of the leading list of the shuttle.
      Returns:
        the new leadingHeader value

    - #### setLeadingHeader

          public final void setLeadingHeader(String leadingHeader)

      Sets the header of the leading list of the shuttle.
      Parameters:
        `leadingHeader` - the new leadingHeader value

    - #### getTrailingHeader

          public final String getTrailingHeader()

      Gets the header of the trailing list of the shuttle.
      Returns:
        the new trailingHeader value

    - #### setTrailingHeader

          public final void setTrailingHeader(String trailingHeader)

      Sets the header of the trailing list of the shuttle.
      Parameters:
        `trailingHeader` - the new trailingHeader value

    - #### isLeadingDescShown

          public final boolean isLeadingDescShown()

      Gets whether or not the leading list has an area to display descriptions.
      Returns:
        the new leadingDescShown value

    - #### setLeadingDescShown

          public final void setLeadingDescShown(boolean leadingDescShown)

      Sets whether or not the leading list has an area to display descriptions.
      Parameters:
        `leadingDescShown` - the new leadingDescShown value

    - #### isTrailingDescShown

          public final boolean isTrailingDescShown()

      Gets whether or not the trailing list has an area to display descriptions.
      Returns:
        the new trailingDescShown value

    - #### setTrailingDescShown

          public final void setTrailingDescShown(boolean trailingDescShown)

      Sets whether or not the trailing list has an area to display descriptions.
      Parameters:
        `trailingDescShown` - the new trailingDescShown value

    - #### getLabel

          public final String getLabel()

      Gets the label for the shuttle that is used to identify the component only when displaying error messages. The label specified does not otherwise appear on the page.
      Returns:
        the new label value

    - #### setLabel

          public final void setLabel(String label)

      Sets the label for the shuttle that is used to identify the component only when displaying error messages. The label specified does not otherwise appear on the page.
      Parameters:
        `label` - the new label value

    - #### getDefaultEventName

          public String getDefaultEventName()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `UIXComponentBase`
      Returns:
        null
      See Also:
        `ClientBehaviorHolder.getDefaultEventName()`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`

    - #### getClientBehaviors

          public Map<String,List<javax.faces.component.behavior.ClientBehavior>> getClientBehaviors()

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `getClientBehaviors` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getClientBehaviors` in class `UIXComponentBase`
      Returns:
        Read-only map of the client behaviors for this component
      See Also:
        `ClientBehaviorHolder.getClientBehaviors()`

    - #### addClientBehavior

          public void addClientBehavior(String eventName,
                               javax.faces.component.behavior.ClientBehavior behavior)

      Description copied from class: `UIXComponentBase`
      Utility method to assist sub-classes in the implementation of the `ClientBehaviorHolder` interface.

      This method must only be called by classes that implement the interface, doing otherwise will result in an exception.

      Specified by:
        `addClientBehavior` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `addClientBehavior` in class `UIXComponentBase`
      Parameters:
        `eventName` - The event name
        `behavior` - The behavior to add
      See Also:
        `ClientBehaviorHolder.addClientBehavior(String, ClientBehavior)`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIXSelectOrder`

    - #### getBeanType

          protected FacesBean.Type getBeanType()

      Overrides:
        `getBeanType` in class `UIXSelectOrder`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.